| 网站首页 | 业界新闻 | 小组 | 交易 | 人才 | 下载频道 | 博客 | 代码贴 | 在线编程 | 编程论坛
Reworld,下班在家制作游戏,1500万奖金等你拿以码会友 以友辅仁
共有 637 人关注过本帖
标题:用VB语言编的三维模型SolidWorks不执行,已经引用SolidWorks类型库
只看楼主 加入收藏
沉香
Rank: 1
等 级:新手上路
帖 子:2
专家分:0
注 册:2019-4-16
结帖率:0
  已结贴   问题点数:20  回复次数:3   
用VB语言编的三维模型SolidWorks不执行,已经引用SolidWorks类型库
请问怎么用VB语言在SolidWorks里生成三维模型,写完编程能用VB打开SolidWorks,但是不执行生成模型的语句,求解
搜索更多相关主题的帖子: VB 语言 三维 模型 执行 
2019-04-16 22:53
zbjzbj
Rank: 16Rank: 16Rank: 16Rank: 16
来 自:郑州
等 级:版主
威 望:33
帖 子:475
专家分:2411
注 册:2011-4-22
  得分:20 
代码在哪?我试试
2019-04-16 22:55
沉香
Rank: 1
等 级:新手上路
帖 子:2
专家分:0
注 册:2019-4-16
  得分:0 
回复 2楼 zbjzbj
Private Sub Command2_Click()
 boolstatus = Part.Extension.SelectBylD2("前视", "PLANE", 0, 0, 0, False, 0, Nothing, 0)
 Part.SketchManager.InsertSketch True
 Part.ClearSelection2 True
 Dim skSegment As Object
 Set skSegment = Part.SketchManager.CreateCircle(0#, 0#, 0#, Val(Text1.Text) / 2000, 0, 0#)
 Part.ShowNamedView2 "*上下二等角轴测", 8
 boolstatus = Part.Extension.SelectByID2("Arc1", "SKETCHSEGMENT", 0, 0, 0, False, 0, Nothing, 0)
 Dim myFeature As Object
 Set myFeature = Part.FeatureManager.FeatureExtrusion2(True, False, False, 0, 0, Val(Text2.Text) / 1000, 0, False, False, False, False, 0, 0, False, False, False, False, True, True, True, 0, 0, False)
 Part.SelectionManager.EnableContourSelection = False
End Sub
这是solidworks执行生成圆柱的语句,但是提醒第一句就有错误,怎么回事啊   大哥
2019-04-18 13:00
zcf_182
Rank: 1
等 级:新手上路
帖 子:1
专家分:0
注 册:2019-6-3
  得分:0 
你的事宏程序生成的代码,与不太一样。例如插入草图Part.SketchManager.InsertSketch(True),需要加括号的。
2019-07-02 16:39
快速回复:用VB语言编的三维模型SolidWorks不执行,已经引用SolidWorks类型库
数据加载中...
 
   



关于我们 | 广告合作 | 编程中国 | 清除Cookies | TOP | 手机版

编程中国 版权所有,并保留所有权利。
Powered by Discuz, Processed in 0.063871 second(s), 8 queries.
Copyright©2004-2019, BCCN.NET, All Rights Reserved